# $Revision: 1.22 $, $Date: 2001/12/06 07:26:14 $
Summary:	A set of GNU Interactive Tools
Summary(de):	GIT - GNU Interactive Tools
Summary(fr):	GIT - Outils interactifs de GNU
Summary(pl):	GIT - interaktywne narzdzia GNU
Summary(tr):	GNU grsel kabuu
Name:		git
Version:	4.3.20
Release:	7
License:	GPL
Group:		Applications/File
Group(de):	Applikationen/Datei
Group(pl):	Aplikacje/Pliki
Source0:	ftp://ftp.gnu.org/pub/gnu/git/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.pach
Patch1:		%{name}-DESTDIR.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GIT (GNU Interactive Tools) provides an extensible file system
browser, an ASCII/hexadecimal file viewer, a process viewer/killer and
other related utilities and shell scripts. GIT can be used to increase
the speed and efficiency of copying and moving files and directories,
invoking editors, compressing and uncompressing files, creating and
expanding archives, compiling programs, sending mail and more. GIT
uses standard ANSI color sequences, if they are available.

%description -l de
GIT ist ein Dateisystem-Browser fr UNIX-Systeme. Ein interaktiver
Proze-Viewer/Killer, ein Hex/ASCII-Datei-Viewer, ein
Auto-Mount-Shell-Skript und ein dateiformatbezogenes Aktions-Skript
sind ebenfalls erhltlich.

%description -l fr
GIT est un navigateur de systmes de fichiers pour les systmes UNIX.
Un visualisateur/destructeur interactif de processus, un visualisateur
de fichiers en hexa/ascii, un script shell d'automontage et un script
d'actions par type de fichier sont aussi disponibles.

Les squences standard ANSI pour les couleurs sont utilises
lorsqu'elles sont disponibles. Les pages du manuel et la doc info sont
aussi fournies.

%description -l pl
GIT (GNU Interactive Tools, interaktywne narzdzia GNU) to elastyczna
przgldarka plikw, narzdzie do przegldania zawartoci plikw w
formacie ASCII i szesnanstkowym, przegladarka i eliminator procesw
oraz inne, pokrewne narzdzia i skrypty powoki. Dziki interaktywnym
narzdziom GNU mona zwikszy szybko i efektywno takich czynnosci
jak kopiowanie i przenoszenie plikw i katalogw, wywoywania
edytorw, pakowanie i rozpakowywanie plikw, tworzenie i ekstrakcja
archiww, kompilacja programw, wysyanie poczty itd. GIT uzywa
standardowych sekwencji koloryzujcych ANSI, jeli system je
obsuguje.

%description -l tr
GIT, UNIX sistemler iin bir dosya sistemi arayzdr. Etkileimli bir
sre grntleyici/sonlandrc, bir hex/ascii dosya grntleyici,
bir otomatik balayc (auto-mount) kabuk betii ve dosya tipine gre
betik altrma yetenekleri vardr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c
%configure \
	--with-terminfo
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf ChangeLog LSM NEWS PLATFORMS PROBLEMS README

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_bindir}/.gitaction
%{_mandir}/man1/*
%{_infodir}/git.info*
%dir %{_datadir}/git
%{_datadir}/git/.gitrc*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: git.spec,v $
Revision 1.22  2001/12/06 07:26:14  kloczek
- release 7: added "rm -f missing" on top %build.

Revision 1.21  2001/10/11 12:44:31  qboosh
- BuildRequires: autoconf

Revision 1.20  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.18  2001/04/13 12:56:03  wiget
run aclocal and autoconf to regenerate configure script

Revision 1.17  2001/04/13 01:36:13  kloczek
- release 6: rebuild against readline 4.2.

Revision 1.16  2000/10/02 14:40:54  kloczek
- release 5: user rpm new automation suit.

Revision 1.15  2000/09/21 20:35:48  kloczek
- release 4,
- fix: removed %%{_infodir}/dir fron %files list.

Revision 1.14  2000/09/19 20:42:18  kloczek
- added Summary(pl),
- merged ald BeroLinux de, fr, tr translations,
- updated to 4.3.20 (rel 3),
- switch to DESTDIR style %install (added DESTDIR patch),
- added info patch with fix info index entry for git,
- added %%{_datadir}/git directory to %files list,
- added BuildRequires rules.

Revision 1.13  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.10  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.9  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.8  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.7  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/31 20:25:06  arturs
- added %description -l pl

Revision 1.5  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.4  1999/09/19 09:47:23  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.3  1999/08/20 17:33:21  baggins
- FHS 2.0
- cleanup for PLD

Revision 1.2  1999/08/20 17:03:59  baggins
- misc fixes and cleanups

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- Fixed the dumb requirement for /usr/lib/git/term

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.3.17

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot to spec file; added the path-correction patch
- added info file handling

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- built against readline library w/ proper soname

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 4.3.16
